package com.ssj.bean.conch.conch.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2019/7/30
 */
@Entity
@Table(name = "conch_derver_use_record")
public class ConchDerverUseRecord extends BaseEntity {

    private static final long serialVersionUID = 5763217046572919782L;

    /**
     * 创建时间（激活时间）
     */
    private Date createTime;
    /**
     * 使用者（tb_user.id）
     */
    private String userId;
    /**
     * 小塾号
     */
    private String derver;
    /**
     * 结束时间
     */
    private Date endTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDerver() {
        return derver;
    }

    public void setDerver(String derver) {
        this.derver = derver;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
